JMXProxyServlet (Tomcat API Documentation)
Keywords: org.apache.catalina.manager.JMXProxyServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.manager
Class JMXProxyServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.manager.JMXProxyServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class JMXProxyServlet

extends javax.servlet.http.HttpServlet

This servlet will dump JMX attributes in a simple format and implement proxy services for modeler.

Author:
  Costin Manolache
See Also:
  Serialized Form

Field Summary
`protected javax.management.MBeanServer` | `mBeanServer` MBean server.
`protected Registry` | `registry`

Constructor Summary
`JMXProxyServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`java.lang.String` | `escape(java.lang.String value)`
`void` | `getAttribute(java.io.PrintWriter writer, java.lang.String onameStr, java.lang.String att)`
`void` | `init()` Initialize this servlet.
`boolean` | `isSupported(java.lang.String type)`
`void` | `listBeans(java.io.PrintWriter writer, java.lang.String qry)`
`void` | `setAttribute(java.io.PrintWriter writer, java.lang.String onameStr, java.lang.String att, java.lang.String val)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mBeanServer

    protected javax.management.MBeanServer mBeanServer

  MBean server.

### registry

    protected Registry registry

Constructor Detail

### JMXProxyServlet

    public JMXProxyServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize this servlet.

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException` - if an exception occurs that interrupts the servlet's normal operation

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

### getAttribute

    public void getAttribute(java.io.PrintWriter writer,
                             java.lang.String onameStr,
                             java.lang.String att)

### setAttribute

    public void setAttribute(java.io.PrintWriter writer,
                             java.lang.String onameStr,
                             java.lang.String att,
                             java.lang.String val)

### listBeans

    public void listBeans(java.io.PrintWriter writer,
                          java.lang.String qry)

### escape

    public java.lang.String escape(java.lang.String value)

### isSupported

    public boolean isSupported(java.lang.String type)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.